Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::StateQueue Class Reference

`#include <State.h>`

## Public Member Functions

void | emplace (IntrusivePtr< State > &&s)
IntrusivePtr< State > | pop ()
const IntrusivePtr< State > & | top ()
bool | empty () const
size_t | size () const
void | swap (StateQueue &other) noexcept
IntrusivePtr< State > | operator[] (int idx) const
void | resort ()
void | clear ()

## Detailed Description

Definition at line 232 of file State.h.

## Member Function Documentation

## emplace()

void Halide::Internal::Autoscheduler::StateQueue::emplace | ( | IntrusivePtr< State > && | s | ) |

inline

Definition at line 244 of file State.h.

References internal_assert.

## pop()

IntrusivePtr< State > Halide::Internal::Autoscheduler::StateQueue::pop | ( |  | ) |

inline

Definition at line 254 of file State.h.

References internal_assert.

## top()

const IntrusivePtr< State > & Halide::Internal::Autoscheduler::StateQueue::top | ( |  | ) |

inline

Definition at line 261 of file State.h.

## empty()

bool Halide::Internal::Autoscheduler::StateQueue::empty | ( |  | ) | const

inline

Definition at line 265 of file State.h.

## size()

size_t Halide::Internal::Autoscheduler::StateQueue::size | ( |  | ) | const

inline

Definition at line 269 of file State.h.

## swap()

void Halide::Internal::Autoscheduler::StateQueue::swap | ( | StateQueue & | other | ) |

inline noexcept

Definition at line 273 of file State.h.

## operator[]()

IntrusivePtr< State > Halide::Internal::Autoscheduler::StateQueue::operator[] | ( | int | idx | ) | const

inline

Definition at line 278 of file State.h.

## resort()

void Halide::Internal::Autoscheduler::StateQueue::resort | ( |  | ) |

inline

Definition at line 282 of file State.h.

## clear()

void Halide::Internal::Autoscheduler::StateQueue::clear | ( |  | ) |

inline

Definition at line 286 of file State.h.

The documentation for this class was generated from the following file:

- src/autoschedulers/anderson2021/State.h